# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc添加赠品且控销的商品至购物车列表,2252,2252-4,sit,bs
主数据平台:多彩商城购物车列表新增商品接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多彩商城登录.多彩商城登录 import CmdcMaiiLogin
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_buyercar_list"

# 步骤一登录后台管理系统查询商品列表获取赠品且控销的商品信息
# 获取登录后台管理系统所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)
# 查询商品列表获取赠品且控销的商品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url110")
request_body = commonFuc().get_business_data(module, "payload110")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
product_id = result["data"]["list"][0]["productId"]
price = result["data"]["list"][0]["referencePrice"]
# 第二步登录多彩商城添加商品至购物车列表
# 获取登录多彩商城所需账号密码
username1 = commonFuc().get_business_data(module, "username")
password1 = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token1 = CmdcMaiiLogin(username1, password1).get_token()
print(cmdc_access_token)
headers1 = commonFuc().get_business_data(module, "json_headers11", cmdc_access_token1)
url1 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
request_body1 = commonFuc().get_business_data(module, "payload11", product_id, price)

"""
 场景:添加赠品且控销的商品至购物车列表
 用例名称：添加赠品且控销的商品至购物车列表
 输出：{"success":false,"code":"addBuyerCartFail","message":"商品为控销商品，不可加入购物车","data":null,"freshToken":null}
"""
# 发送请求
result1 = requests.post(url1, json=request_body1, headers=headers1)
result1 = json.loads(result1.content)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict11")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result1)
