# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc需求单审核通过,2252,2252-7,sit,bs
主数据平台:多彩商城获取需求单审核接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多彩商城登录.多彩商城登录 import CmdcMaiiLogin
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_demand_audit"

# 第一步登录多彩商城
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
print(cmdc_access_token)
headers1 = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)
print(headers1)

# 第二步创建并提交需求单
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url4")
print(url)
request_body = commonFuc().get_business_data(module, "payload4")
print(request_body)
result = requests.post(url, json=request_body, headers=headers1)
result = json.loads(result.content)
print(result)

# 第三步登录后台管理系统
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
print(cmdc_access_token)
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)
print(headers)

# 第四步在需求单列表查询刚刚创建的需求单
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
print(url)
request_body = commonFuc().get_business_data(module, "payload2")
print(request_body)
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)

# 第五步进行需求单审核处理
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")
print(url)
request_body = commonFuc().get_business_data(module, "payload3")
print(request_body)
"""
 场景:通过快速下单入口提交创建需求单，并进行审核通过操作
 用例名称：通过快速下单入口提交创建并审核需求单
 输出：{"success":true,"code":"200","message":"ok","data":null,"freshToken":null}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDic1")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
