# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc需求单-草稿订单删除逆向用例功能验证,2250,2250-3,sit,bs
主数据平台:运营后台管理系统需求单-草稿订单删除接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_demand_list"

# 第一步：登录后台运营系统
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers2", cmdc_access_token)

# 第二步进行需求单草稿订单的创建
url2 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
request_body2 = commonFuc().get_business_data(module, "payload200")
# 发送请求
result2 = requests.post(url2, json=request_body2, headers=headers)

# 第三步，获取需求单列表
url1 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload20")
# 发送请求
result = requests.post(url1, json=request_body, headers=headers)
result = json.loads(result.content)
# 获取demandId
demand_id = result["data"]["list"][0]["demandId"]

# 第四步，获取到demandId进行需求单删除操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url")
request_body = commonFuc().get_business_data(module, "payload2", demand_id)
# 发送请求
result = requests.get(url, params=request_body, headers=headers)

# 第五步，获取到demandId进行需求单重复删除操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url")
request_body = commonFuc().get_business_data(module, "payload3", demand_id)

"""
 场景:不可重复删除已保存订单状态下需求单，以及其他状态的需求单
 用例名称：需求草稿订单删除逆向功能验证
 输出：{"success":true,"code":"200","message":"OK","data":null}
 备注：目前接口层未进行校验重复删除
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict4")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
