# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc需求删除功能验证,2250,2250-2,sit,bs
主数据平台:多彩商城需求单删除接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多彩商城登录.多彩商城登录 import CmdcMaiiLogin
import requests
import json


module = "cmdc_demand_list_pc"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)
# 获取需求单列表
url1 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload30")
# 发送请求
result = requests.post(url1, json=request_body, headers=headers)
result = json.loads(result.content)
demand_parent_id = result["data"]["list"][0]["demandParentId"]

# 对获取到的需求单进行删除操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")
request_body = commonFuc().get_business_data(module, "payload3", demand_parent_id)

"""
 场景:需求草稿订单可正常删除，删除后不再显示在需求列表中
 用例名称：需求草稿订单删除功能验证
 输出：{"success":true,"code":"200","message":"OK","data":null,"freshToken":null}
"""
# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict3")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
